// marcador.cpp - Clase CMarcador
#include <iostream>
#include "marcador.h"
using namespace std;

CMarcador::CMarcador(CTablon *t)
{
  m_tablon = t;
}

void *CMarcador::fnHilo()
{
  int nParticipantes;
  nParticipantes = m_tablon->numParticipantes();
  while (!m_tablon->finCarrera())
  {
    cout << "POSICIONES DE CARRERA\n";
    cout << "---------------------\n";
    for (int i = 0; i < nParticipantes; i++)
    {
      for (int p = 0; p < m_tablon->posicion(i)-1; p++)
        cout << "."; // distancia recorrida
      cout << "*\n"; // * = caballo
    }
    Sleep(500); // en Linux está definida en unistd.h como sleep
  }
  return 0;
}

